org.wso2.carbon.mediation.initializer.utils

## Class ConfigurationHolder

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.utils.ConfigurationHolder

-     public class ConfigurationHolder
      extends Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSynapseConfiguration(int tenanId, org.apache.synapse.config.SynapseConfiguration synapseConfiguration)`
    `void` | `addSynapseRegistration(int tenanId, org.osgi.framework.ServiceRegistration serviceRegistration)`
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `static ConfigurationHolder` | `getInstance()`
    `org.apache.synapse.config.SynapseConfiguration` | `getSynapseConfiguration(int tenantId)`
    `org.osgi.framework.ServiceRegistration` | `getSynapseRegistration(int tenantId)`
    `void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ConfigurationHolder getInstance()

    - #### getBundleContext

          public org.osgi.framework.BundleContext getBundleContext()

    - #### setBundleContext

          public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

    - #### addSynapseRegistration

          public void addSynapseRegistration(int tenanId,
                                             org.osgi.framework.ServiceRegistration serviceRegistration)

    - #### getSynapseRegistration

          public org.osgi.framework.ServiceRegistration getSynapseRegistration(int tenantId)

    - #### getSynapseConfiguration

          public org.apache.synapse.config.SynapseConfiguration getSynapseConfiguration(int tenantId)

    - #### addSynapseConfiguration

          public void addSynapseConfiguration(int tenanId,
                                              org.apache.synapse.config.SynapseConfiguration synapseConfiguration)

Copyright © 2021 WSO2. All rights reserved.